Get a typebot
curl --request GET \
--url https://app.typebot.com/api/v1/typebots/{typebotId}import requests
url = "https://app.typebot.com/api/v1/typebots/{typebotId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://app.typebot.com/api/v1/typebots/{typebotId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"typebot": {
"id": "<string>",
"name": "<string>",
"events": [
{
"id": "<string>",
"graphCoordinates": {
"x": 123,
"y": 123
},
"type": "<unknown>",
"outgoingEdgeId": "<string>"
}
],
"groups": [
{
"id": "<string>",
"title": "<string>",
"graphCoordinates": {
"x": 123,
"y": 123
},
"blocks": [
{
"id": "<string>",
"type": "<unknown>",
"label": "<string>",
"outgoingEdgeId": "<string>"
}
]
}
],
"edges": [
{
"id": "<string>",
"from": {
"blockId": "<string>",
"itemId": "<string>",
"pathId": "<string>"
},
"to": {
"groupId": "<string>",
"blockId": "<string>"
}
}
],
"variables": [
{
"id": "<string>",
"name": "<string>",
"isSessionVariable": true,
"value": "<string>"
}
],
"theme": {
"general": {
"font": "<string>",
"background": {
"content": "<string>"
},
"progressBar": {
"isEnabled": true,
"color": "<string>",
"backgroundColor": "<string>",
"thickness": 123
}
},
"chat": {
"container": {
"maxWidth": "<string>",
"maxHeight": "<string>",
"backgroundColor": "<string>",
"color": "<string>",
"blur": 123,
"opacity": 0.5,
"border": {
"thickness": 123,
"color": "<string>",
"customRoundeness": 123,
"opacity": 0.5
}
},
"hostAvatar": {
"isEnabled": true,
"url": "<string>"
},
"guestAvatar": {
"isEnabled": true,
"url": "<string>"
},
"hostBubbles": {
"backgroundColor": "<string>",
"color": "<string>",
"blur": 123,
"opacity": 0.5,
"border": {
"thickness": 123,
"color": "<string>",
"customRoundeness": 123,
"opacity": 0.5
}
},
"guestBubbles": {
"backgroundColor": "<string>",
"color": "<string>",
"blur": 123,
"opacity": 0.5,
"border": {
"thickness": 123,
"color": "<string>",
"customRoundeness": 123,
"opacity": 0.5
}
},
"buttons": {
"backgroundColor": "<string>",
"color": "<string>",
"blur": 123,
"opacity": 0.5,
"border": {
"thickness": 123,
"color": "<string>",
"customRoundeness": 123,
"opacity": 0.5
}
},
"inputs": {
"backgroundColor": "<string>",
"color": "<string>",
"blur": 123,
"opacity": 0.5,
"border": {
"thickness": 123,
"color": "<string>",
"customRoundeness": 123,
"opacity": 0.5
},
"placeholderColor": "<string>"
},
"buttonsInput": {}
},
"customCss": "<string>"
},
"selectedThemeTemplateId": "<string>",
"settings": {
"general": {
"isBrandingEnabled": true,
"isTypingEmulationEnabled": true,
"isInputPrefillEnabled": true,
"isHideQueryParamsEnabled": true,
"isNewResultOnRefreshEnabled": true,
"rememberUser": {
"isEnabled": true
},
"systemMessages": {
"invalidMessage": "<string>",
"botClosed": "<string>",
"networkErrorTitle": "<string>",
"networkErrorMessage": "<string>",
"popupBlockedTitle": "<string>",
"popupBlockedDescription": "<string>",
"popupBlockedButtonLabel": "<string>",
"fileUploadError": "<string>",
"fileUploadSizeError": "<string>",
"whatsAppPictureChoiceSelectLabel": "<string>"
}
},
"typingEmulation": {
"enabled": true,
"speed": 123,
"maxDelay": 123,
"delayBetweenBubbles": 2.5,
"isDisabledOnFirstMessage": true
},
"metadata": {
"title": "<string>",
"description": "<string>",
"imageUrl": "<string>",
"favIconUrl": "<string>",
"customHeadCode": "<string>",
"googleTagManagerId": "<string>",
"allowIndexing": true
},
"whatsApp": "<unknown>",
"publicShare": {
"isEnabled": true
},
"security": {
"allowedOrigins": [
"<string>"
]
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"icon": "<string>",
"folderId": "<string>",
"publicId": "<string>",
"customDomain": "<string>",
"workspaceId": "<string>",
"resultsTablePreferences": {
"columnsOrder": [
"<string>"
],
"columnsVisibility": {},
"columnsWidth": {}
},
"isArchived": true,
"isClosed": true,
"whatsAppCredentialsId": "<string>",
"riskLevel": 123,
"spaceId": "<string>"
}
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Bad Request",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Unauthorized",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Forbidden",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Not Found",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Internal Server Error",
"data": "<unknown>"
}Typebot
Get a typebot
GET
/
v1
/
typebots
/
{typebotId}
Get a typebot
Path Parameters
Query Parameters
If enabled, the typebot will be converted to the latest schema version
⌘I